#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libnvme-1.11.1

- Next

  libportal-0.9.1

- Up
- Home

# libpaper-2.2.6

## Introduction to libpaper

This package is intended to provide a simple way for applications to take actions based on a system or user-specified paper size.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/rrthomas/libpaper/releases/download/v2.2.6/libpaper-2.2.6.tar.gz

- Download MD5 sum: 794552e5e5b9796c15bc222fefd9e1ff

- Download size: 1.1 MB

- Estimated disk space required: 12 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

## Installation of libpaper

Install libpaper by running the following commands:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --disable-static     \
                --docdir=/usr/share/doc/libpaper-2.2.6 &&
    make

The test suite of this package does not work with a configuration using the standard installation location.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Configuring libpaper

### Configuration Information

The paper size is automatically determined from the system locale; see `LC_PAPER` in locale(7). If you want to override it, create a `papersize` file in the user configuration directory. For example:

    mkdir -pv ~/.config &&
    echo "a4" > ~/.config/papersize

If you want to override the paper size globally (for all users), set up the `PAPERSIZE` environment variable. For example:

    echo "PAPERSIZE=a4" > /etc/profile.d/libpaper.sh

You may use a different paper size, such as `letter`.

## Contents

Installed Programs: paper and paperconf
Installed Library: libpaper.so
Installed Directories: /usr/share/doc/libpaper-2.2.6

### Short Descriptions

paper | prints paper configuration information
paperconf | prints paper configuration information in a compatibility mode
`libpaper.so` | contains functions for interrogating the paper library

- Prev

  libnvme-1.11.1

- Next

  libportal-0.9.1

- Up
- Home